Bug 238403 - kernel bug: unable to handle kernel paging request & sleeping function called from invalid context
kernel bug: unable to handle kernel paging request & sleeping function called...
Status: CLOSED DUPLICATE of bug 234008
Product: Fedora
Classification: Fedora
Component: kernel-xen-2.6 (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Juan Quintela
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-30 06:18 EDT by Mykola Lyakhovych
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-16 12:38:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mykola Lyakhovych 2007-04-30 06:18:39 EDT
Description of problem:
I have received in all opened consoles and in syslog:
Apr 29 23:55:02 kol kernel: iret exception: 0000 [#3]
Apr 29 23:55:02 kol kernel: SMP
Apr 29 23:55:02 kol kernel: last sysfs file: /block/sda/size
Apr 29 23:55:02 kol kernel: Modules linked in: sg cdc_acm usb_storage usblp
ip6table_filter ip6_tables iptable_filter ip_tables i810 drm bridge netloop
netbk blktap blkbk autofs4 hidp rfcomm l2cap ppp_synctty ppp_async crc_ccitt
ppp_generic slhc nf_conntrack_ftp nf_conntrack_netbios_ns ipt_REJECT
nf_conntrack_ipv4 xt_state nf_conntrack nfnetlink ip6t_REJECT xt_tcpudp x_tables
ipv6 dm_multipath video sbs i2c_ec dock button battery asus_acpi backlight ac lp
snd_intel8x0 snd_ac97_codec ac97_bus snd_seq_dummy snd_seq_oss
snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss floppy
snd_pcm snd_timer snd 8139cp soundcore 8139too pcspkr snd_page_alloc mii
iTCO_wdt iTCO_vendor_support i2c_i810 i2c_algo_bit i2c_i801 i2c_core hci_usb
bluetooth parport_pc parport serial_core serio_raw ide_cd cdrom dm_snapshot
dm_zero dm_mirror dm_mod ata_piix libata sd_mod scsi_mod ext3 jbd ehci_hcd
ohci_hcd uhci_hcd
Apr 29 23:55:02 kol kernel: CPU: 0
Apr 29 23:55:02 kol kernel: EIP: 92e0:[<000004b6>] Not tainted VLI
Apr 29 23:55:02 kol kernel: EFLAGS: 00000004 (2.6.20-1.2944.fc6xen #1)
Apr 29 23:55:02 kol kernel: EIP is at 0x4b6
Apr 29 23:55:02 kol kernel: eax: 00000000 ebx: 00929402 ecx: 00000073 edx: 00000216
Apr 29 23:55:02 kol kernel: esi: bfb2d744 edi: 0000007b ebp: 00000000 esp: c581c01c
Apr 29 23:55:02 kol kernel: ds: 0000 es: 0000 ss: 0069
Apr 29 23:55:02 kol kernel: Process at-spi-registry (pid: 16914, ti=c581b000
task=d72430f0 task.ti=c581b000)
Apr 29 23:55:02 kol kernel: Stack: 00160011 000001ee 4eb5fae0 000001fb 000a0012
00000954 4eb6aec0 0000027b
Apr 29 23:55:02 kol kernel: 000a0012 00000a2b 4eb6b140 00000063 000a0012
0000078c 4eb64060 000006ec
Apr 29 23:55:02 kol kernel: 000a0012 00000917 4eb68850 000001f3 000a0012
00000715 4eb63d30 000000b0
Apr 29 23:55:02 kol kernel: Call Trace:
Apr 29 23:55:02 kol kernel: BUG: unable to handle kernel paging request at
virtual address 4eb6aec0
Apr 29 23:55:02 kol kernel: printing eip:
Apr 29 23:55:02 kol kernel: c04055c2
Apr 29 23:55:02 kol kernel: 17739000 -> *pde = 00000000:07d62001
Apr 29 23:55:03 kol kernel: 06d62000 -> *pme = 00000000:00000000
Apr 29 23:55:03 kol kernel: Oops: 0000 [#4]
Apr 29 23:55:03 kol kernel: SMP
Apr 29 23:55:03 kol kernel: last sysfs file: /block/sda/size
Apr 29 23:55:03 kol kernel: Modules linked in: sg cdc_acm usb_storage usblp
ip6table_filter ip6_tables iptable_filter ip_tables i810 drm bridge netloop
netbk blktap blkbk autofs4 hidp rfcomm l2cap ppp_synctty ppp_async crc_ccitt
ppp_generic slhc nf_conntrack_ftp nf_conntrack_netbios_ns ipt_REJECT
nf_conntrack_ipv4 xt_state nf_conntrack nfnetlink ip6t_REJECT xt_tcpudp x_tables
ipv6 dm_multipath video sbs i2c_ec dock button battery asus_acpi backlight ac lp
snd_intel8x0 snd_ac97_codec ac97_bus snd_seq_dummy snd_seq_oss
snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss floppy
snd_pcm snd_timer snd 8139cp soundcore 8139too pcspkr snd_page_alloc mii
iTCO_wdt iTCO_vendor_support i2c_i810 i2c_algo_bit i2c_i801 i2c_core hci_usb
bluetooth parport_pc parport serial_core serio_raw ide_cd cdrom dm_snapshot
dm_zero dm_mirror dm_mod ata_piix libata sd_mod scsi_mod ext3 jbd ehci_hcd
ohci_hcd uhci_hcd
Apr 29 23:55:03 kol kernel: CPU: 0
Apr 29 23:55:03 kol kernel: EIP: 0061:[<c04055c2>] Not tainted VLI
Apr 29 23:55:03 kol kernel: EFLAGS: 00010097 (2.6.20-1.2944.fc6xen #1)
Apr 29 23:55:03 kol kernel: EIP is at dump_trace+0x5c/0x93
Apr 29 23:55:03 kol kernel: eax: 4eb6affd ebx: 4eb6aec0 ecx: 028bdb17 edx: 00c56500
Apr 29 23:55:03 kol kernel: esi: 00000008 edi: 4eb6a000 ebp: c0693e66 esp: c581be7c
Apr 29 23:55:03 kol kernel: ds: 007b es: 007b ss: 0069
Apr 29 23:55:03 kol kernel: Process at-spi-registry (pid: 16914, ti=c581b000
task=d72430f0 task.ti=c581b000)
Apr 29 23:55:03 kol kernel: Stack: c0693d26 c0693e66 00000018 00000000 c0693e66
c0405611 c06e44e0 c0693e66
Apr 29 23:55:03 kol kernel: c581c07f c04056c0 c0693e66 c0693e66 c581bfe4
c581c01c 00000002 00000004
Apr 29 23:55:03 kol kernel: c581bfe4 c581c01c c0405856 c0693e66 00000010
d7243284 00004212 c581b000
Apr 29 23:55:03 kol kernel: Call Trace:
Apr 29 23:55:03 kol kernel: [<c0405611>] show_trace_log_lvl+0x18/0x2c
Apr 29 23:55:03 kol kernel: [<c04056c0>] show_stack_log_lvl+0x9b/0xa3
Apr 29 23:55:03 kol kernel: [<c0405856>] show_registers+0x18e/0x25d
Apr 29 23:55:03 kol kernel: [<c0613b05>] notifier_call_chain+0x19/0x29
Apr 29 23:55:03 kol kernel: [<c0405a58>] die+0x133/0x22f
Apr 29 23:55:03 kol kernel: [<c0406302>] do_iret_error+0xa7/0xb1
Apr 29 23:55:03 kol kernel: [<c047072f>] do_ioctl+0x1f/0x62
Apr 29 23:55:03 kol kernel: [<c0404e92>] restore_nocheck_notrace+0x7/0xf
Apr 29 23:55:03 kol kernel: [<c0404e93>] restore_nocheck_notrace+0x8/0xf
Apr 29 23:55:03 kol kernel: [<c0404e94>] restore_nocheck_notrace+0x9/0xf
Apr 29 23:55:03 kol kernel: [<c0404e99>] restore_nocheck_notrace+0xe/0xf
Apr 29 23:55:03 kol kernel: [<c042beaf>] search_exception_tables+0x14/0x25
Apr 29 23:55:03 kol kernel: [<c041444f>] fixup_exception+0xb/0x20
Apr 29 23:55:03 kol kernel: [<c0612245>] do_general_protection+0x11c/0x16f
Apr 29 23:55:03 kol kernel: [<c040687b>] do_IRQ+0xc6/0xdb
Apr 29 23:55:03 kol kernel: [<c0612129>] do_general_protection+0x0/0x16f
Apr 29 23:55:03 kol kernel: [<c040625b>] do_iret_error+0x0/0xb1
Apr 29 23:55:03 kol kernel: [<c0611d2d>] error_code+0x35/0x3c
Apr 29 23:55:03 kol kernel: =======================
Apr 29 23:55:04 kol kernel: Code: 9a d4 01 00 00 89 df 81 e7 00 f0 ff ff eb 0e
8b 4c 24 18 89 f2 89 e8 ff 51 08 83 c3 04 39 fb 76 29 8d 87 fd 0f 00 00 39 c3 73
1f <8b> 33 89 f0 e8 ad 68 02 00 85 c0 74 e2 eb d5 8b 4f 34 85 c9 74
Apr 29 23:55:04 kol kernel: EIP: [<c04055c2>] dump_trace+0x5c/0x93 SS:ESP
0069:c581be7c
Apr 29 23:55:04 kol kernel: <3>BUG: sleeping function called from invalid
context at kernel/rwsem.c:20
Apr 29 23:55:04 kol kernel: in_atomic():0, irqs_disabled():1
Apr 29 23:55:04 kol kernel: [<c04303e6>] down_read+0x12/0x28
Apr 29 23:55:04 kol kernel: [<c0438a56>] acct_collect+0x38/0x13e
Apr 29 23:55:04 kol kernel: [<c041fc77>] do_exit+0x1b1/0x6f6
Apr 29 23:55:04 kol kernel: [<c0405b2f>] die+0x20a/0x22f
Apr 29 23:55:04 kol kernel: [<c061396f>] do_page_fault+0xab1/0xc2e
Apr 29 23:55:04 kol kernel: [<c054b47c>] kcons_write_dom0+0x0/0x26
Apr 29 23:55:04 kol kernel: [<c0611bff>] _spin_unlock_irqrestore+0x8/0x16
Apr 29 23:55:04 kol kernel: [<c041d675>] release_console_sem+0x192/0x1d1
Apr 29 23:55:04 kol kernel: [<c041dce6>] vprintk+0x2de/0x2e8
Apr 29 23:55:04 kol kernel: [<c0612ebe>] do_page_fault+0x0/0xc2e
Apr 29 23:55:04 kol kernel: [<c0611d2d>] error_code+0x35/0x3c
Apr 29 23:55:04 kol kernel: [<c04100d8>] IO_APIC_get_PCI_irq_vector+0x2f/0x10d
Apr 29 23:55:04 kol kernel: [<c04055c2>] dump_trace+0x5c/0x93
Apr 29 23:55:04 kol kernel: [<c0405611>] show_trace_log_lvl+0x18/0x2c
Apr 29 23:55:04 kol kernel: [<c04056c0>] show_stack_log_lvl+0x9b/0xa3
Apr 29 23:55:04 kol kernel: [<c0405856>] show_registers+0x18e/0x25d
Apr 29 23:55:04 kol kernel: [<c0613b05>] notifier_call_chain+0x19/0x29
Apr 29 23:55:04 kol kernel: [<c0405a58>] die+0x133/0x22f
Apr 29 23:55:04 kol kernel: [<c0406302>] do_iret_error+0xa7/0xb1
Apr 29 23:55:04 kol kernel: [<c047072f>] do_ioctl+0x1f/0x62
Apr 29 23:55:04 kol kernel: [<c0404e92>] restore_nocheck_notrace+0x7/0xf
Apr 29 23:55:04 kol kernel: [<c0404e93>] restore_nocheck_notrace+0x8/0xf
Apr 29 23:55:04 kol kernel: [<c0404e94>] restore_nocheck_notrace+0x9/0xf
Apr 29 23:55:04 kol kernel: [<c0404e99>] restore_nocheck_notrace+0xe/0xf
Apr 29 23:55:04 kol kernel: [<c042beaf>] search_exception_tables+0x14/0x25
Apr 29 23:55:04 kol kernel: [<c041444f>] fixup_exception+0xb/0x20
Apr 29 23:55:04 kol kernel: [<c0612245>] do_general_protection+0x11c/0x16f
Apr 29 23:55:04 kol kernel: [<c040687b>] do_IRQ+0xc6/0xdb
Apr 29 23:55:04 kol kernel: [<c0612129>] do_general_protection+0x0/0x16f
Apr 29 23:55:04 kol kernel: [<c040625b>] do_iret_error+0x0/0xb1
Apr 29 23:55:04 kol kernel: [<c0611d2d>] error_code+0x35/0x3c
Apr 29 23:55:04 kol kernel: =======================

Version-Release number of selected component (if applicable):

Linux kol.cv.ua 2.6.20-1.2944.fc6xen #1 SMP Tue Apr 10 19:12:19 EDT 2007 i686
i686 i386 GNU/Linux

All software up to date.

How reproducible:
Don't know

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Sysmen continued to work without a visible problems.
Comment 1 Eduardo Habkost 2007-05-16 12:38:24 EDT
Same problem reported on bug 234008.

*** This bug has been marked as a duplicate of 234008 ***

Note You need to log in before you can comment on or make changes to this bug.